import { factorySelect, shopSelectByFactory } from "@/services/system";
import { doFetch } from "@/utils/doFetch";
import regValue from "@/utils/regValue";


const one = {
  "materieInstoreNo": {
    "value": null,
    "type": "input",
    "title": "入库单号",
    "name": [
      "materieInstoreNo"
    ],
    "required": false
  },
  "storeId": {
    "value": null,
    "type": "select",
    "title": "仓库",
    "name": [
      "storeId"
    ],
    "required": true,
    "options": {
      database: () => doFetch({ url: "/ngic-auth/sysStore/selectionBox", params: { factoryIdList: [] } }),
      params: {}
    },
  },
  "supplierId": {
    "value": null,
    "type": "select",
    "title": "供应商",
    "name": [
      "supplierId"
    ],
    "required": true,
    "options": {
      database: () => doFetch({ url: "/ngic-auth/sysSupplier/query/selection", params: {  } }),
      params: {}
    },
  },
  "businessNo": {
    "value": null,
    "type": "input",
    "title": "相关单号",
    "name": [
      "businessNo"
    ],
    "required": false
  },
  "remark": {
    "value": null,
    "type": "textarea",
    "title": "备注",
    "name": [
      "remark"
    ],
    "required": false,
    "col": {
      "span": 24
    }
  },
  "materialList": {
    value: [],
    title: "物料信息",
    type: "table",
    col: { span: 24 },
    name: ["materialList"],
    required: true,
    columns: [
      {
        "title": "物料编码-名称",
        "dataIndex": "materieId",
        "key": "materieId",
        "valueType":"select",
        "width":300,
        "request":async ()=>{
          let res = await doFetch({url:"/ngic-workmanship/pmMaterie/query/selectbox",params:{}})
          console.log(res);
          return res?.data?.dataList
        },
        "fieldProps":{
          allowClear:true,
          showSearch:true
        }
      },
      {
        "title": "批次号/SN号",
        "dataIndex": "materieControlNo",
        "key": "materieControlNo"
      },
      {
        "title": "入库数量",
        "dataIndex": "instroeNum",
        "key": "instroeNum"
      },
      {
        "title": "单位",
        "dataIndex": "productionUnit",
        "key": "productionUnit"
      },
      {
        title: "操作",
        valueType: "option",
        width: 70,
        render: (text, record, _, action) => [
          <a key="delete" onClick={() => { }}>
            删除
          </a>,
        ],
      },
    ],
    rowKey: "id",
  }
}, 
two = {
  "materieInstoreNo": {
    "value": null,
    "type": "input",
    "title": "入库单号",
    "name": [
      "materieInstoreNo"
    ],
    "required": false
  },
  "storeId": {
    "value": null,
    "type": "select",
    "title": "仓库",
    "name": [
      "storeId"
    ],
    "required": true,
    "options": {
      database: () => doFetch({ url: "/ngic-auth/sysStore/selectionBox", params: { factoryIdList: [] } }),
      params: {}
    },
  },
  "supplierId": {
    "value": null,
    "type": "select",
    "title": "供应商",
    "name": [
      "supplierId"
    ],
    "required": true,
    "options": {
      database: () => doFetch({ url: "/ngic-auth/sysSupplier/query/selection", params: { factoryIdList: [] } }),
      params: {}
    },
  },
  "businessNo": {
    "value": null,
    "type": "input",
    "title": "相关单号",
    "name": [
      "businessNo"
    ],
    "required": false
  },
  "remark": {
    "value": null,
    "type": "textarea",
    "title": "备注",
    "name": [
      "remark"
    ],
    "required": false,
    "col": {
      "span": 24
    }
  },
  "materialList": {
    value: [],
    title: "物料信息",
    type: "table",
    col: { span: 24 },
    name: ["materialList"],
    required: true,
    columns: [
      {
        "title": "物料名称",
        "dataIndex": "materieName",
        "key": "materieName"
      },
      {
        "title": "物料编码",
        "dataIndex": "materieCode",
        "key": "materieCode"
      },
      {
        "title": "批次号/SN号",
        "dataIndex": "materieControlNo",
        "key": "materieControlNo"
      },
      {
        "title": "入库数量",
        "dataIndex": "instroeNum",
        "key": "instroeNum"
      },
      {
        "title": "单位",
        "dataIndex": "productionUnit",
        "key": "productionUnit"
      },
      {
        title: "操作",
        valueType: "option",
        width: 70,
        render: (text, record, _, action) => [
          <a key="delete" onClick={() => { }}>
            删除
          </a>,
        ],
      },
    ],
    rowKey: "id",
  }
}, 
three = {}, 
four = {}




export default {
  one,
  two,
  three,
  four
};
